MyPsychLab

System Requirements

 

Operating Systems and Browsers

To work in MyPsychLab, your computer must meet at least the 56 Kps (kilobits per second) connection speed and be using one of the following operating system and browser configurations.

MyPsychLab New Design

  Operating Systems Browsers

Windows

XP (SP3)
Vista (SP1)
Windows 7

Internet Explorer 7.0, 8.0, 9.0

Firefox 3.x

MacOS

10.6

Safari 5.0

 

MyPsychLab and MyPsychLab CourseCompass

  Operating Systems Browsers

Windows

XP
Vista
Windows 7

Internet Explorer 7.0, 8.0, 9.0
Firefox 3.x

MacOS

10.4x, 10.5x

Safari 3.x, 4.x (10.5.x only)

Firefox 3.x

MyPsychLab Pegasus

  Operating Systems Browsers

Windows

XP (SP3)
Vista (SP1)
Windows 7

Internet Explorer 7.0, 8.0, 9.0
Firefox 3.x

MacOS

10.6

Safari 5.0

 

 

To check your operating system, turn on your computer and look for information on your operating system as the computer boots up. You can also find this information in your computer settings. For example, if you have a PC you can look at "View System Information" in "My Computer," which is accessible from the Start menu.

If you are unsure of the browser version you are using, launch the browser and select Help from the menu bar. Next, select "About Browser" (the browser name and the exact wording of the selection will vary) and a window will open with your browser name and version.

Cookies and JavaScript options

MyPsychLab may use both cookies and JavaScript technology. (Cookies provide a way for the website to identify users and keep track of their preferences.) Both of these features must be turned on in your browser and are usually enabled by default. See your browser Help for instructions on how to view or change these browser options.

Pop-up windows

Some features of this website display in a pop-up browser window. If you are using a browser that offers pop-up control or are running an add-on program to control pop-ups, you may need to take steps to use such features. The steps to take depend on the browser or add-on program you are using.

MyPsychLab Blackboard/WebCT

Please log into the Blackboard or WebCT service hosted at your school and find the system requirements listed for your version of the platform software.

Back to top

Plug-Ins

You will need the following applications to use MyPsychLab. Depending on the content at your site, you may also need to download one or more free plug-ins (such as Adobe® Reader®, Macromedia® Flash™, or Macromedia Shockwave®). You can use the Browser Tune-Up to check whether a plug-in is installed. If it not, or you need to upgrade your version, you can follow links to download it.

Application Name PC Version Mac Version

Adobe Flash Player

8

8.0

Microsoft PowerPoint Viewer

2003

2004

Adobe Reader

7.0.5

7.0.5

 

 

Back to top

Browser Tune-Up

The Browser Tune-Up utility will tell you whether or not media players and plug-in programs are present on your computer and, when they are present, whether they are up to date.

  • Click this Browser Tune-Up link to open and work with the Browser Tune-Up.
  • In the list of plug-in programs in the center of the Browser Tune-up window, check which plug-ins are currently installed.
  • For a plug-in that you need but which is not installed, click the Get It button to download the latest version. In some cases, you may need to register for the player or plugin, and you may need to restart your computer when you finish the download and installation.
  • For a plug-in that is installed, click the Test It button to verify that it functions properly. If it does not, follow the on-screen instructions to download a new version.
  • When you finish installing the players or plugins your website requires, close the Browser Tune-Up, restart your browser, then return to MyPsychLab.

Back to top

Always Learning